;
(function ($) {
    var Toast = function (options) {
        this.defaults = {
            content: "请填写联系方式",
            delay: 2000
        };
        this.options = $.extend({}, this.defaults, options);
        this.timer = null;

        this.tpl = '<div class="toast"></div>';
        this.$toastEl = $(this.tpl);
        this.init();
    };

    Toast.prototype.init = function () {
        this.renderDom(this.options.content);
        this.remove();
    };

    Toast.prototype.renderDom = function (content) {
        $('body').append(this.$toastEl.html(content));
    };

    Toast.prototype.remove = function () {
        var options = this.options;
        var self = this;

        this.timer = setTimeout(function () {
            self.$toastEl.remove();
        }, options.delay);
    };

    window.Toast = Toast;
})(Zepto);